Package de.willuhn.jameica.hbci.gui.input

# Class BatchBookInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.SelectInput
de.willuhn.jameica.hbci.gui.input.BatchBookInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class BatchBookInput extends de.willuhn.jameica.gui.input.SelectInput
Auswahlfeld fuer den zu verwendenden Batchbook-Modus.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`BatchBookInput(Konto konto, HibiscusDBObject object)`

## Method Summary

Modifier and Type
Method
Description
`void`
`update(Konto konto, HibiscusDBObject object)`
Aktualisiert die Auswahl basierend auf dem uebergebenen Konto und dem Auftrag.

### Methods inherited from class de.willuhn.jameica.gui.input.SelectInput

`addListener, disable, enable, focus, format, getControl, getList, getText, getValue, isEnabled, setAttribute, setEditable, setEnabled, setList, setPleaseChoose, setPreselected, setValue`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, setValidChars, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BatchBookInput

public BatchBookInput(Konto konto, HibiscusDBObject object) throws RemoteException

Parameters:
  `konto` - das Konto des Aufrages. Kann null sein.
  `object` - der Auftrag, fuer den der Modus angezeigt werden soll.
Throws:
  `RemoteException`

## Method Details

### update

public void update(Konto konto, HibiscusDBObject object) throws RemoteException
Aktualisiert die Auswahl basierend auf dem uebergebenen Konto und dem Auftrag.

Parameters:
  `konto` - das Konto des Aufrages. Kann null sein.
  `object` - der Auftrag, fuer den der Modus angezeigt werden soll.
Throws:
  `RemoteException`